Subject: bug#57108: Time to retire texinfmt.el

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Aug 2022 03:52:33 -0700

Is it worth maintaining texinfmt.el?

I guess the `texinfo-format-region' command seems marginally useful on
paper, but its output is too different from `Info-mode' to be very
useful in practice.

The `texi2info' and `texinfo-format-buffer' commands are probably better
replaced with a wrapper around the "makeinfo" command.  (They also don't
work; see Bug#57107.)

So this file looks like more of a historical artifact than something
that is actually useful these days.  Note that it dates back to 1985,
according to the copyright header, and was entered into VCS in 1991.

It seems like it does nothing that makeinfo doesn't already do better,
and maintaining it separately from the texinfo project seems like
duplicate and wasted effort.